import * as $dara from '@darabonba/typescript';
import { UpdateFileProtectEventStatusResponseBody } from "./UpdateFileProtectEventStatusResponseBody";
export declare class UpdateFileProtectEventStatusResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateFileProtectEventStatusResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
